Subject: Re: [PATCHv4 net-next 2/3] ipv4: Use binary search to choose tcp PMTU probe_size

From: Fan Du <[email-masked]>
Date: Thu, 05 Mar 2015 10:36:54 +0800

于 2015年03月04日 21:39, John Heffner 写道:
>> >I suspect there's plenty of room for further improvement in the
>> >probing heuristic, but this seems like a reasonable improvement.
>> >
>> >Acked-by: John Heffner<[email-masked]>
> Actually, one final suggestion here.  The cost of a failed probe is
> much higher than a successful probe.  I'd suggest still bounding the
> probe segment size to no more than 2*cur_mss.  (Think of a common case
> where mss_clamp = 9000 - headers, but the actual path MTU = 1500.)

huh...
Are you serious about clamping probe size to no more than 2*current_mss?
What about the opposite scenario where path MTU enlarges, e.g., current_mss
is nearing search_low?

I will make next version incorporating:
a. Update ip-sysctl.txt
b. Zero probe_size before reset search_low/high

>    -John